import request from '@/utils/request'

// 获取左侧菜单列表
export function getTodayEvent() {
  return request({
    url: '/center-fire/VisuForestEventCenterController/getTodayEvent',
    method: 'post',
  })
}
// 点击今日事件前三个按钮列表
export function getEventStatusList(eventStatus) {
  return request({
    url: '/center-fire/VisuForestEventCenterController/getEventList?eventStatus='+eventStatus,
    method: 'post',
  })
}
// 点击今日事件后三个按钮列表
export function getEventSourceList(eventSource) {
  return request({
    url: '/center-fire/VisuForestEventCenterController/getEventList?eventSource='+eventSource,
    method: 'post',
  })
}
// 点击部门
export function getEventListByDeptIdList(deptId) {
  return request({
    url: '/center-fire/VisuForestEventCenterController/getEventList?deptId='+deptId,
    method: 'post',
  })
}
// 点击类型
export function getEventListByTypeList(eventType) {
  return request({
    url: '/center-fire/VisuForestEventCenterController/getEventList?eventType='+eventType,
    method: 'post',
  })
}

// 查询事件（森林防火）详细
export function getForest(id) {
  return request({
    url: '/center-event/event/forest/forestfire/' + id,
    method: 'get'
  })
}


//修改森林防火事件状态
export function updateCentereventTForestfireStatus(id,zt) {
  return request({
    url: '/center-event/event/forest/forestfire/updateCentereventTForestfireStatus/'+ id+'/'+zt,
    method: 'get'
  })
}
//获取大华图片地址
export function getImgUrl(data) {
  return request({
    url: '/monitor/DahuaController/getImgUrl',
    method: 'get',
    data:data
  })
}

//获取附近事件
export function getNearEvent(longitude,latitude) {
  return request({
    url: '/center-fire/VisuForestEventCenterController/getNearEvent?longitude='+latitude+"&latitude="+latitude,
    method: 'get',
  })
}
//获取附近摄像头
export function getNearCamera(longitude,latitude) {
  return request({
    url: '/center-fire/VisuForestEventCenterController/getNearCamera?longitude='+latitude+"&latitude="+latitude,
    method: 'get',
  })
}

